.cookie-consent {
    width: 50%;
    max-width: 50%; /* mobile-friendly */
    position: fixed;
    bottom: 20px;
    left: 0;
    right: 0;
    margin: 0 auto; /* horizontal center */
    background: rgba(236, 107, 129, 0.95); /* soft transparent pink */
    border-radius: 12px;
    padding: 15px 25px;
    display: none;
    justify-content: space-between;
    align-items: center;
    z-index: 9999;
    box-shadow: 0 8px 20px rgba(0,0,0,0.2);
    backdrop-filter: blur(5px); /* soft blur effect */
    animation: slideUp 0.5s ease;
}

@media (max-width: 768px) {
    .cookie-consent{
        display: none !important;
    }
}

@keyframes slideUp {
    from { transform: translateY(50px); opacity: 0; }
    to { transform: translateY(0); opacity: 1; }
}

.cookie-text {
    font-size: 14px;
    color: #ffffff;
    max-width: 100%;
    line-height: 1.4;
}

.cookie-actions button {
    margin-left: 10px;
    padding: 5px 15px;
    border-radius: 6px;
    transition: all 0.3s ease;
}

.btn-primary {
    background: linear-gradient(90deg, #ff7fa1, #ec6b81);
    /* border: none; */
    border: 1px solid #fff;
    color: #fff;
}

.btn-outline-light,
.btn-outline-light:hover {
    background: linear-gradient(90deg, #ff7fa1, #ec6b81);
    color: #fff;
    border: 1px solid #fff;
}

.accept-all-btn {
    position: relative;
    top: -13px;
    padding: 3px 15px !important;
    margin-top: 28px;
}

.accept-all-btn:hover {
    border: 1px solid #fff;
}